# Briefcase Share

Shares documents in an application with the receiving party. When you share, this sends the webhook to the receiver party.

Endpoint: POST /briefcase/share
Version: 1.5
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)

## Path parameters:

  - `version` (string, required)
    The version of the API.

## Request fields (multipart/form-data):

  - `appid` (integer)
    Insights-assigned application identifier. Required if you use this instead of `appnumber`.

  - `appnumber` (string)
    Customer-provided identifier for the application. Required if you use this instead of `appid`.
    Example: ACME Widgets

  - `partyids` (string)
    Receiver party key `connectedPartyKey`. See [Connections](https://docs.moneythumb.com/api/pdf-insights/api-reference/other/connections).

## Response 200:

  - `200` (unknown)
    Request successful.

## Response 400:

  - `400` (unknown)
    Bad Request - Invalid Input

## Response 400 fields (application/json):

  - `error` (string)
    Example: No file found to process

## Response 401:

  - `401` (unknown)
    Bad Request - Authentication Error

## Response 401 fields (application/json):

  - `error` (string)
    Example: Bad token

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `error` (string)
    Example: Briefcase feature disabled

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (string)
    Example: Encountered an unknown error. It has been reported. Please contact support@moneythumb.com for any questions.

  - `requestId` (string)
    Unique identifier for the request, useful for tracing.

## Response 503:

  - `503` (unknown)
    Server Error - Service Unavailable

## Response 503 fields (application/json):

  - `error` (string)
    Example: Service unavailable

